## How to use

The commerce_sql_sanitize module extends the 'sql:sanitize' Drush command.

To get list of the available options for the 'sql:sanitize' command use:
```
drush sql:sanitize --help
```

### Sanitize commerce_log entities.
By default, log entity tables are truncated if commerce_log entity type exists (commerce_log module is enabled).
To disable that use:
```
drush sql:sanitize --sanitize-commerce-log=no
```
or
```
drush sql:sanitize --sanitize-commerce-log=0
```

### Sanitize commerce_payment_method entities.
Similar is for the payment method entity table. By default, the payment method entity tables are truncated.
To disable this use:
```
drush sql:sanitize --sanitize-commerce-payment-method=no
```
or
```
drush sql:sanitize --sanitize-commerce-payment-method=0
```

### Sanitize commerce_order entities.
By default, order email and IP addresses are sanitized.
But it can be disabled as well:
```
drush sql:sanitize --sanitize-commerce-order=no
```
or
```
drush sql:sanitize --sanitize-commerce-order=0
```

Multiple options can be combined. In this example the commerce logs and payment methods will not be sanitized:
```
drush sql:sanitize --sanitize-commerce-log=no --sanitize-commerce-payment-method=no
```

### Santitize address fields
By default, all address fields are sanitized in the profile entities.
To disable this use command:
```
drush sql:sanitize --sanitize-address-field=no
```
or
```
drush sql:sanitize --sanitize-address-field=0
```

To sanitize only specific fields in the profile entities use such command:
```
drush sql:sanitize --sanitize-address-fields=address
```
or multiple fields
```
drush sql:sanitize --sanitize-address-fields=address,field_additional_address
```

### Sanitize the commerce_tax_number field
By default, the profile__tax_number and profile_revision__tax_number tables will be truncated (emptied).
To disable this use command:
```
drush sql:sanitize --sanitize-tax-number=no
```
or
```
drush sql:sanitize --sanitize-tax-number=0
```
